# This file created by conda-build 24.1.2
# meta.yaml template originally from:
# /feedstock/recipe, last modified Fri Jan 31 16:29:11 2025
# ------------------------------------------------

package:
  name: pydeck
  version: 0.9.1
source:
  patches:
    - patches/incomplete-pyproject.patch
  sha256: f74475ae637951d63f2ee58326757f8d4f9cd9f2a457cf42950715003e2cb605
  url: https://pypi.io/packages/source/p/pydeck/pydeck-0.9.1.tar.gz
build:
  number: '0'
  script: /croot/pydeck_1738340956155/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_/bin/python
    -m pip install . --no-deps --no-build-isolation -vv
  string: py312h06a4308_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - patch 2.7.6 h7b6447c_1001
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - bzip2 1.0.8 h5eee18b_6
    - ca-certificates 2024.12.31 h06a4308_0
    - expat 2.6.4 h6a678d5_0
    - ld_impl_linux-64 2.40 h12ee557_0
    - libffi 3.4.4 h6a678d5_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuuid 1.41.5 h5eee18b_0
    - ncurses 6.4 h6a678d5_0
    - openssl 3.0.15 h5eee18b_0
    - pip 25.0 py312h06a4308_0
    - python 3.12.8 h5148396_0
    - readline 8.2 h5eee18b_0
    - setuptools 75.8.0 py312h06a4308_0
    - sqlite 3.45.3 h5eee18b_0
    - tk 8.6.14 h39e8969_0
    - tzdata 2025a h04d1e81_0
    - wheel 0.45.1 py312h06a4308_0
    - xz 5.4.6 h5eee18b_1
    - zlib 1.2.13 h5eee18b_1
  run:
    - jinja2 >=2.10.1
    - numpy >=1.16.4
    - python >=3.12,<3.13.0a0
  run_constrained:
    - ipykernel >=5.1.2
    - ipywidgets >=7,<8
    - traitlets >=4.3.2
test:
  commands:
    - pip check
  imports:
    - pydeck
    - pydeck.bindings
    - pydeck.data_utils
    - pydeck.io
    - pydeck.nbextension
    - pydeck.widget
  requires:
    - ipykernel >=5.1.2
    - ipywidgets >=7,<8
    - pip
    - traitlets >=4.3.2
about:
  description: 'The pydeck library is a set of Python bindings for making spatial
    visualizations

    with deck.gl, optimized for a Jupyter environment.

    '
  dev_url: https://github.com/uber/deck.gl/tree/master/bindings/pydeck
  doc_url: https://pydeck.gl
  home: https://github.com/uber/deck.gl/tree/master/bindings/pydeck
  license: Apache-2.0
  license_family: Apache
  license_file: LICENSE.txt
  summary: Widget for deck.gl maps
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: b1629cb7-ed57-41aa-b80c-67672543c1b9
  recipe-maintainers:
    - ajduberstein
  remote_url: git@github.com:AnacondaRecipes/pydeck-feedstock.git
  sha: ef4114da84139c9b735bfdc3c3048de1cbf37131
